Compare commits
No commits in common. "bc4d76f6339c005934ef9bb930cba35452c1dab7" and "9f1862f150514d1b4db77e4b4ff39246629fc1f5" have entirely different histories.
bc4d76f633
...
9f1862f150
3 changed files with 1 additions and 23 deletions
2
Makefile
2
Makefile
|
@ -1,4 +1,4 @@
|
||||||
CFLAGS := -Wall -Wextra -std=gnu23
|
CFLAGS := -Wall -Wextra
|
||||||
|
|
||||||
main: main.c
|
main: main.c
|
||||||
gcc ${CFLAGS} -o $@ $^
|
gcc ${CFLAGS} -o $@ $^
|
||||||
|
|
|
@ -1,8 +1,3 @@
|
||||||
= Cからシェルスクリプトを呼ぶテスト
|
= Cからシェルスクリプトを呼ぶテスト
|
||||||
* 作業ディレクトリが変わらないので注意
|
* 作業ディレクトリが変わらないので注意
|
||||||
* 適切にオプションを設定しないとエラー検知できないので注意
|
* 適切にオプションを設定しないとエラー検知できないので注意
|
||||||
|
|
||||||
== 使い方
|
|
||||||
`make`
|
|
||||||
|
|
||||||
`./noset_nocd.patch` のパッチを当てると、ちゃんとしたスクリプトになってくれる。
|
|
||||||
|
|
|
@ -1,17 +0,0 @@
|
||||||
diff --git a/subdir/entry.sh b/subdir/entry.sh
|
|
||||||
index 4e7b013..b070a09 100755
|
|
||||||
--- a/subdir/entry.sh
|
|
||||||
+++ b/subdir/entry.sh
|
|
||||||
@@ -1,10 +1,10 @@
|
|
||||||
#!/bin/env bash
|
|
||||||
-set -euo pipefail
|
|
||||||
+# set -euo pipefail
|
|
||||||
echo "Hi, this is entry.sh"
|
|
||||||
echo "pwd:"
|
|
||||||
pwd
|
|
||||||
echo "\${0}: ${0}"
|
|
||||||
-cd "$(dirname "${0}")"
|
|
||||||
+# cd "$(dirname "${0}")"
|
|
||||||
./called.sh
|
|
||||||
echo $?
|
|
||||||
echo "returned"
|
|
Loading…
Add table
Reference in a new issue